@import 'settings';
@import 'mixins';

$label-fg: rgb(0, 51, 102);
$label-bg: rgb(0, 126, 255);

.select2-container--admin-autocomplete.select2.select2 {
    min-width: 367px;
    margin-right: 10px;

    .select2 {
        &-selection {
            min-height: 32px;

            &__choice {
                padding-left: 0;
                color: $label-fg;
                background-color: transparentize($label-bg, .92);
                border-radius: 2px;
                border-color: transparentize($label-bg, 0.76);
                font-size: 0.9em;

                &__remove {
                    color: $label-fg;
                    font-family: Helvetica, Arial, sans-serif;
                    font-weight: normal;
                    font-size: 13px;
                    padding-right: 5px;
                    padding-left: 5px;
                    margin-right: 6px;
                    border-right: solid 1px transparentize($label-fg, 0.76);

                    &:hover {
                        color: darken($label-bg, 5%);
                        background-color: rgba(0, 113, 230, 0.08);
                    }
                }
            }

            &__clear {
                padding: 5px 8px 4px;
                margin: 1px 0 0 0;
                line-height: 19px;
                font-size: 18px;
                font-weight: normal;
                color: var(--color-gray-500);

                &:hover {
                    color: var(--error-fg);
                }
            }
        }
    }

    .select2-search {
        padding: 0 5px;

        input {
            padding: 4px 0 0;
        }
    }

    &:not(.select2-container--focus) .select2-search:only-child:before {
        content: 'Select...';
        display: inline-block;
        vertical-align: middle;
        padding: 7px 0 0;
        color: #666;
    }
}

.select2-container.select2-container--admin-autocomplete {
    .select2 {
        &-results {
            &__option {
                background: transparent !important;

                &--highlighted {
                    background-color: var(--color-gray-100) !important;
                    color: var(--color-gray-900) !important;
                    border-radius: 2px !important;
                    outline: solid 1px var(--color-gray-200);
                }
            }
        }

        &-selection--single .select2-selection__arrow {
            height: 30px;
        }
    }
}

// Accessible hide for autocomplete widgeths
// This is done by select2 but there is a delay where the select is still
// visible on page load, so this prevents that.
select.admin-autocomplete {
    border: 0 !important;
    clip: rect(0 0 0 0) !important;
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    width: 1px !important;
}
